Bug 521848 - nscd initscript is not lsb compliant
Summary: nscd initscript is not lsb compliant
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Schwab
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-08 14:11 UTC by Petr Muller
Modified: 2016-09-22 08:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-15 08:13:06 UTC


Attachments (Terms of Use)

Description Petr Muller 2009-09-08 14:11:35 UTC
Description of problem:
According to Fedora initscript guidelines ( https://fedoraproject.org/wiki/Packaging/SysVInitScript ), there are few minor buglets in nscd's initscript.

Version-Release number of selected component (if applicable):
nscd-2.10.1-4.x86_64

How reproducible:
always

========================
case 1) Starting already started, and stopping already stopped nscd actions report [FAILED] and return code 1. According to the guidelines, these actions should be considered success and 0 should be returned. 

<quote>
For all other initscript actions, the init script must return an exit status of zero if the action was successful. In addition to straightforward success, the following situations are also to be considered successful:
    ( ... )
    * running start on a service already running
    * running stop on a service already stopped or not running 
</quote>

Example:
# service nscd start; service nscd start; echo $?
Starting nscd:                                             [  OK  ]
Starting nscd: /usr/sbin/nscd: already running
                                                           [FAILED]
1
========================
case 2) condrestart, try-restart actions report return code 1 and failure when the action is attempted on stopped nscd. According to the guidelines, this case should be considered success and 0 should be returned as RC.

<quote>
For all other initscript actions, the init script must return an exit status of zero if the action was successful. In addition to straightforward success, the following situations are also to be considered successful:

    ( ... )
    * running condrestart or try-restart on a service already stopped or not running
</quote>

Example:
# service nscd status; service nscd try-restart; echo $?
nscd is stopped
1

Comment 1 Andreas Schwab 2009-09-15 08:13:06 UTC
Fixed in 2.10.90-22.


Note You need to log in before you can comment on or make changes to this bug.